:root{
    --very-dark-blue: hsl(233, 47%, 7%);
    --dark-desaturated-blue :hsl(244, 38%, 16%);
    --soft-violet: hsl(277, 64%, 61%);
    --white: hsl(0, 0%, 100%);
    --slightly-transparent-white: hsla(0, 0%, 100%, 0.75);
    --slightly-transparent-white-stat-headings: hsla(0, 0%, 100%, 0.6);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'Inter', sans-serif;
    font-size: 15px;
    background-color: var(--very-dark-blue);
    color: var(--white);
}
.container{
    width: 80%;
    max-width: 1200px;
    height: 100vh;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.card{
    background-color: var(--dark-desaturated-blue);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: max-content;
    border-radius: 5px;
}
.card__info{
    padding: 3em 4em;
}
.card__info-title{
    font-size: 2.2rem;
    padding: 1em 0;
}
.card__info-title span{
    color: var(--soft-violet);
}
.card__info-paragraph{
    font-weight: 400;
    line-height: 1.4rem;
    color: var(--slightly-transparent-white-stat-headings);
    font-size: .9rem;
}
.card__info-tags{
    padding: 4em 0 0 0;
    display: flex;
    flex-direction: row;
}
.tags{
    width: 33%;
}
.tags p{
    font-size: 1.4rem;
    font-weight: 700;
}
.tags span{
    padding: 1rem 0;
    color: var(--slightly-transparent-white-stat-headings);
    font-size: .7rem;
    text-transform: uppercase;
}

.card__figure{
    background-color: var(--soft-violet);
    border-radius: 0 5px 5px 0;
}
.card__figure img{
    width: 100%;
    height: 100%;
    border-radius: 0 5px 5px 0;
    object-fit: cover;
    mix-blend-mode: multiply;
    opacity: 0.7;
}
@media(max-width:1024px) and (min-width:800px){
    .card{
        grid-template-columns: 60% 40%;
    }
}
@media(max-width:800px) and (min-width: 480px){
    .container{
        height: auto;
        margin: 5em auto;
    }
    .card{
        grid-template-columns: 1fr;
        grid-template-rows: max-content 1fr;
    }
    .card__figure{
        grid-row-start: 1;
        border-top-left-radius: 5px;
    }
    .card-img{
        content: url('../images/image-header-mobile.jpg');
    }
    .card__info{
        text-align: center;
    }
    .card__info-tags{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 2em 0;
    }
    .card__info-tags .tags{
        padding: 1em 0;
    }
    br {
        display: none;
    }
}
@media(max-width:480px) and (min-width: 320px){
    .container{
        height: auto;
        margin: 5em auto;
    }
    .card{
        grid-template-columns: 1fr;
        grid-template-rows: max-content 1fr;
    }
    .card__figure{
        grid-row-start: 1;
        border-top-left-radius: 5px;
    }
    .card-img{
        content: url('../images/image-header-mobile.jpg');
    }
    .card__info{
        text-align: center;
        padding: 1em 2em;
    }
    .card__info-title{
        font-size: 1.4rem;
    }
    .card__info-paragraph{
        font-size: .7rem;
    }
    .card__info-tags{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 1em 0;
    }
    .card__info-tags .tags{
        padding: 1em 0;
    }
    br {
        display: none;
    }
}